from distutils.core import setup, Extension
import sys
if sys.version_info.major == 3:
  swig_opts=['-c++','-py3','-Iexample']
else:
  swig_opts=['-c++','-Iexample']
setup(name='example',
      version='0.5',
      ext_package='example',
      ext_modules=[Extension('_example',['example/example.i','example/example.cxx'],include_dirs=['example'],swig_opts=swig_opts)],
      py_modules=['example/example','example/__init__'],
      )
